module AuthJwt
  # Add the AuthJwt ControllerAdditions to the ActionController
  class Engine < Rails::Engine
    initializer 'extend Controllers and UserModel with AuthJwt' do
      ActionController::Base.send(:include, AuthJwt::ControllerAdditions)
      AuthJwt.configuration.user_class.constantize.send(:include, AuthJwt::UserModelAdditions)
    end
  end
end
